From 8dd1a142ec3c4c87ff2a92ede67adcb48fb4b005 Mon Sep 17 00:00:00 2001
From: Amit Kapila <akapila@postgresql.org>
Date: Mon, 11 Mar 2019 08:16:14 +0530
Subject: [PATCH] Fix typos in commit 8586bf7ed8.

---
 src/backend/access/table/tableamapi.c | 6 +++---
 src/backend/utils/cache/relcache.c    | 2 +-
 src/include/access/tableam.h          | 2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/src/backend/access/table/tableamapi.c b/src/backend/access/table/tableamapi.c
index d49607e..54a078d 100644
--- a/src/backend/access/table/tableamapi.c
+++ b/src/backend/access/table/tableamapi.c
@@ -103,9 +103,9 @@ get_table_am_oid(const char *tableamname, bool missing_ok)
 	ScanKeyData entry[1];
 
 	/*
-	 * Search pg_tablespace.  We use a heapscan here even though there is an
-	 * index on name, on the theory that pg_tablespace will usually have just
-	 * a few entries and so an indexed lookup is a waste of effort.
+	 * Search pg_am.  We use a heapscan here even though there is an index on
+	 * name, on the theory that pg_am will usually have just a few entries and
+	 * so an indexed lookup is a waste of effort.
 	 */
 	rel = heap_open(AccessMethodRelationId, AccessShareLock);
 
diff --git a/src/backend/utils/cache/relcache.c b/src/backend/utils/cache/relcache.c
index d9ffb78..fb21301 100644
--- a/src/backend/utils/cache/relcache.c
+++ b/src/backend/utils/cache/relcache.c
@@ -1681,7 +1681,7 @@ InitTableAmRoutine(Relation relation)
 }
 
 /*
- * Initialize table access method support for a table like relation relation
+ * Initialize table access method support for a table like relation
  */
 void
 RelationInitTableAccessMethod(Relation relation)
diff --git a/src/include/access/tableam.h b/src/include/access/tableam.h
index caeb588..ccdc6de 100644
--- a/src/include/access/tableam.h
+++ b/src/include/access/tableam.h
@@ -4,7 +4,7 @@
  *	  POSTGRES table access method definitions.
  *
  *
- * Portions Copyright (c) 1996-2018, PostgreSQL Global Development Group
+ * Portions Copyright (c) 1996-2019, PostgreSQL Global Development Group
  * Portions Copyright (c) 1994, Regents of the University of California
  *
  * src/include/access/tableam.h
-- 
1.8.3.1

